import java.math.BigDecimal;

public class RadPoint
{
  double theta;
  double phi;

  public RadPoint(double theta, double phi)
  {
    this.theta = theta;
    this.phi = phi;
  }

  public double getDist(RadPoint o)
  {
    return getCart().getDist( o.getCart() ).doubleValue();
    
  }

  public CartPoint getCart()
  {
    double x = Math.sin(phi) * Math.cos(theta);
    double y = Math.sin(phi) * Math.sin(theta);
    double z = Math.cos(phi);

    return new CartPoint(
      BigDecimal.valueOf(x),
      BigDecimal.valueOf(y),
      BigDecimal.valueOf(z)
    );

  }

  public String toString()
  {
    return String.format("R{%f %f - %s}", theta, phi, getCart().toString());

  } 

  // only to be used for point in trinagle business
  public double X(){return theta;}
  public double Y(){return phi;}

}
